Upload new experiment items
curl --request POST \
--url https://api.example.com/v3/evals/experiments/{experiment_id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_id": "<string>",
"outputs": {},
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
]
'import requests
url = "https://api.example.com/v3/evals/experiments/{experiment_id}/items"
payload = [
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_id": "<string>",
"outputs": {},
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataset_item_id: '<string>',
outputs: {},
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z'
}
])
};
fetch('https://api.example.com/v3/evals/experiments/{experiment_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": [
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_id": "<string>",
"outputs": {},
"start_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration": 123
}
]
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Experiments
Upload new experiment items
Upload new experiment items
POST
/
v3
/
evals
/
experiments
/
{experiment_id}
/
items
Upload new experiment items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter for unique identifier of an experiment
Body
application/json
ID of the application the experiment belongs to.
ID of the dataset used for this experiment item.
ID of the specific dataset item this experiment item corresponds to.
JSON object representing the actual outputs generated by the experiment.
Timestamp when the processing of this experiment item started.
Optional timestamp when the processing of this experiment item ended.
Response
Experiment items uploaded successfully.
⌘I